.\"	$NetBSD: azalia.4,v 1.5 2007/03/15 19:15:19 wiz Exp $
.\"
.\" Copyright (c) 2005 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by TAMURA Kent
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 15, 2007
.Dt AZALIA 4
.Os
.Sh NAME
.Nm azalia
.Nd Generic High Definition Audio device driver
.Sh SYNOPSIS
.Cd "azalia* at pci? dev ? function ?"
.Cd "audio* at audiobus?"
.Pp
.Cd "options AZALIA_DEBUG"
.Sh DESCRIPTION
The
.Nm
device driver is expected to support any PCI device which is
compliant to the High Definition Audio Specification 1.0.
Known supported controllers are Intel 82801F (ICH6)
and Intel 82801G (ICH7).
Known supported codecs are Realtek ALC260, ALC880, ALC882,
Analog Devices AD1981HD, CMedia CMI9880,
Sigmatel STAC9221, and STAC9221D.
.Sh SEE ALSO
.Xr audio 4 ,
.Xr pci 4
.Pa http://www.intel.com/standards/hdaudio/
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 3.0 .
.Sh BUGS
Non-PCM encodings such as Float32 and AC-3 are not supported.
.Pp
There is no way to use 20bit or 24bit precision because of a
limitation of the MI audio framework.
